
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wms_base_warehouse")]
    public class WmsBaseWarehouse
    {

        [Key]
        [Column("warehouse_id")]
        public long warehouseId { get; set; }

        /// <summary>
        /// 存放类型(1原材料, 2半成品,3成品)
        /// </summary>
        [Column("warehouse_instock_type")]
        public string warehouseInstockType { get; set; }

        /// <summary>
        /// 仓库类型 1:普通仓库 2:背负agv仓库 3料箱agv仓库;背负agv仓库和料箱agv仓库审核标识为否
        /// </summary>
        [Column("warehouse_type")]
        public string warehouseType { get; set; }

        /// <summary>
        /// 仓库编码
        /// </summary>
        [Column("warehouse_code")]
        public string warehouseCode { get; set; }

        /// <summary>
        /// 仓库名称
        /// </summary>
        [Column("warehouse_name")]
        public string warehouseName { get; set; }

        /// <summary>
        /// 仓库类别(关联wms_base_category的category_id)
        /// </summary>
        [Column("warehouse_category_id")]
        public int? warehouseCategoryId { get; set; }

        /// <summary>
        /// 楼层
        /// </summary>
        [Column("warehouse_floor")]
        public int warehouseFloor { get; set; }

        /// <summary>
        /// 管辖部门(关联sys_dept的dept_id)
        /// </summary>
        [Column("dept_id")]
        public long deptId { get; set; }

        /// <summary>
        /// 多排库类型(1单排库,2双排库)
        /// </summary>
        [Column("multi_row_type")]
        public string multiRowType { get; set; }

        /// <summary>
        /// 多边库类型(1单面库，2双面库);料箱agv是两面的，叉车agv在两面库的中间进行输送，尽量一次让叉车输送同一面的额任务
        /// </summary>
        [Column("multi_side_type")]
        public string multiSideType { get; set; }

        /// <summary>
        /// 允许混放批次(1是,0否)
        /// </summary>
        [Column("batch_mix")]
        public string batchMix { get; set; }

        /// <summary>
        /// 允许混放产品 1是 0否;预留，允许混放不同的产品
        /// </summary>
        [Column("product_mix")]
        public string productMix { get; set; }

        /// <summary>
        /// 料箱标识(0否,1是)
        /// </summary>
        [Column("workbin_flag")]
        public string workbinFlag { get; set; }

        /// <summary>
        /// 位置
        /// </summary>
        [Column("warehouse_location")]
        public string warehouseLocation { get; set; }

        /// <summary>
        /// 激活标记 1是 0否
        /// </summary>
        [Column("active_flag")]
        public string activeFlag { get; set; }

        ///// <summary>
        ///// 审核标识 （1是，0否）
        ///// </summary>
        //[Column("audit_flag")]
        //public string auditFlag { get; set; }

        /// <summary>
        /// 返库标识(1是，0否)
        /// </summary>
        [Column("return_flag")]
        public string returnFlag { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 删除标志 1删除 0显示 
        /// </summary>
        [Column("del_flag")]
        public string delFlag { get; set; }

        /// <summary>
        /// 工厂ID
        /// </summary>
        [Column("factory_id")]
        public long? factoryId { get; set; }

        /// <summary>
        /// 数据源
        /// </summary>
        [Column("data_source")]
        public string dataSource { get; set; }

        /// <summary>
        /// DB用户
        /// </summary>
        [Column("schame")]
        public string schame { get; set; }

        /// <summary>
        /// 是否按照线体入库  0否 1是
        /// </summary>
        [Column("line_flag")]
        public string lineFlag { get; set; }
    }
}

